# Class EFSServiceInstance

#### Hierarchy (view full)

- RWSService
  - EFSServiceInstance

- Defined in src/services/EFSService.ts:17

#####
Index

### Constructors

constructor

### Properties

_RELOADABLE
ec2
efs
lambda
region
s3
_instances

### Methods

createAccessPoint
createMountTarget
deleteDir
deleteEFS
generateClientToken
getAccessPoints
getOrCreateEFS
getReloadable
processEFSLoader
reloadService
sleep
uploadToEFS
waitForAccessPoint
waitForEFS
waitForFileSystemMount
getSingleton

## Constructors

### constructor

- new EFSServiceInstance(): EFSServiceInstance

- #### Returns EFSServiceInstance

  Overrides RWSService.constructor

  - Defined in src/services/EFSService.ts:25

## Properties

### _RELOADABLE

_RELOADABLE: boolean = false

Inherited from RWSService._RELOADABLE

- Defined in src/services/_service.ts:2

### `Private` ec2

ec2: EC2

- Defined in src/services/EFSService.ts:23

### `Private` efs

efs: EFS

- Defined in src/services/EFSService.ts:21

### `Private` lambda

lambda: Lambda

- Defined in src/services/EFSService.ts:22

### `Private` region

region: string

- Defined in src/services/EFSService.ts:18

### `Private` s3

s3: S3

- Defined in src/services/EFSService.ts:20

### `Static` `Protected` _instances

_instances: {
[key: string]: RWSService;
} = {}

#### Type declaration

- ##### [key: string]: RWSService

Inherited from RWSService._instances

- Defined in src/services/_service.ts:7

## Methods

### createAccessPoint

- createAccessPoint(fileSystemId): Promise<[string, string]>

- #### Parameters

  - ##### fileSystemId: string

  #### Returns Promise<[string, string]>

  - Defined in src/services/EFSService.ts:177

### createMountTarget

- createMountTarget(fileSystemId, subnetId): Promise<string>

- #### Parameters

  - ##### fileSystemId: string

  - ##### subnetId: string

  #### Returns Promise<string>

  - Defined in src/services/EFSService.ts:209

### deleteDir

- deleteDir(): Promise<void>

- #### Returns Promise<void>

  - Defined in src/services/EFSService.ts:272

### deleteEFS

- deleteEFS(fileSystemId): Promise<void>

- #### Parameters

  - ##### fileSystemId: string

  #### Returns Promise<void>

  - Defined in src/services/EFSService.ts:73

### generateClientToken

- generateClientToken(): string

- #### Returns string

  - Defined in src/services/EFSService.ts:152

### getAccessPoints

- getAccessPoints(fileSystemId): Promise<AccessPointDescriptions>

- #### Parameters

  - ##### fileSystemId: string

  #### Returns Promise<AccessPointDescriptions>

  - Defined in src/services/EFSService.ts:157

### getOrCreateEFS

- getOrCreateEFS(functionName, vpcId): Promise<[string, string, boolean]>

- #### Parameters

  - ##### functionName: string

  - ##### vpcId: string

  #### Returns Promise<[string, string, boolean]>

  - Defined in src/services/EFSService.ts:29

### getReloadable

- getReloadable(): string

- #### Returns string

  Inherited from RWSService.getReloadable

  - Defined in src/services/_service.ts:19

### processEFSLoader

- processEFSLoader(vpcId, subnetId): Promise<string>

- #### Parameters

  - ##### vpcId: string

  - ##### subnetId: string

  #### Returns Promise<string>

  - Defined in src/services/EFSService.ts:251

### reloadService

- reloadService<T>(this, ...params): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  - ##### `Rest` ...params: any[]

  #### Returns InstanceType<T>

  Inherited from RWSService.reloadService

  - Defined in src/services/_service.ts:23

### sleep

- sleep(ms): Promise<void>

- #### Parameters

  - ##### ms: number

  #### Returns Promise<void>

  - Defined in src/services/EFSService.ts:102

### uploadToEFS

- uploadToEFS(baseFunctionName, efsId, modulesS3Key, s3Bucket, vpcId, subnetId): Promise<void>

- #### Parameters

  - ##### baseFunctionName: string

  - ##### efsId: string

  - ##### modulesS3Key: string

  - ##### s3Bucket: string

  - ##### vpcId: string

  - ##### subnetId: string

  #### Returns Promise<void>

  - Defined in src/services/EFSService.ts:226

### waitForAccessPoint

- waitForAccessPoint(accessPointId): Promise<void>

- #### Parameters

  - ##### accessPointId: string

  #### Returns Promise<void>

  - Defined in src/services/EFSService.ts:134

### waitForEFS

- waitForEFS(fileSystemId): Promise<void>

- #### Parameters

  - ##### fileSystemId: string

  #### Returns Promise<void>

  - Defined in src/services/EFSService.ts:84

### waitForFileSystemMount

- waitForFileSystemMount(fileSystemId): Promise<boolean>

- #### Parameters

  - ##### fileSystemId: string

  #### Returns Promise<boolean>

  - Defined in src/services/EFSService.ts:106

### `Static` getSingleton

- getSingleton<T>(this): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  #### Returns InstanceType<T>

  Inherited from RWSService.getSingleton

  - Defined in src/services/_service.ts:9

Generated using TypeDoc